<template lang="pug">
  .embedded-video.stained-background
    .box
      iframe.video(
        :src="link"
        frameborder="0"
        allow="accelerometer; encrypted-media; gyroscope; picture-in-picture"
        allowfullscreen
        :title='title'
      )
</template>

<script>
export default {
  props: {
    link: { type: String, required: true },
    title: { type: String, required: true }
  }
}
</script>

<style lang="scss">
.embedded-video {
  display: flex;

  padding: 3em;
  .box {
    // keep AR
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; // 16:9

    iframe.video {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
    }
  }
}
</style>
